@echo off
call check-for-admin
if %ERRORLEVEL% neq 0 exit /b

set TOOLS=c:\tools
set SCRIPT_SETTINGS=%TOOLS%\scripts\settings.cmd
set COMPANY_SETTINGS=%TOOLS%\company\settings.cmd

echo ####### %0 #######

if NOT EXIST %SCRIPT_SETTINGS% (
  echo INFO: config file %SCRIPT_SETTINGS% NOT FOUND
) else (
  call %SCRIPT_SETTINGS%
)

if NOT EXIST %COMPANY_SETTINGS% (
  echo INFO: config file %COMPANY_SETTINGS% NOT FOUND
) else (
  call %COMPANY_SETTINGS%
)

echo JOINING domain ...
echo domain=%domain%
powershell -Command "Add-Computer -DomainName %domain% -Restart -Credential $env:UserName"

echo ####### %0 #######

